"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Group(props) {
    const { x: oldX, y: oldY, children } = props;
    const { x, y } = hooks_1.usePosition({
        x: oldX,
        y: oldY,
    });
    return jsx_runtime_1.jsx("g", Object.assign({ transform: `translate(${x}, ${y})` }, { children: children }), void 0);
}
exports.default = Group;
