import { jsx as _jsx } from "react/jsx-runtime";
import { useEllipsePosition } from '../../hooks';
export default function Circle(props) {
    const { cx: oldCx, cy: oldCy, r: oldR, ...otherProps } = props;
    const { cx, cy, rx: r } = useEllipsePosition({
        cx: oldCx,
        cy: oldCy,
        rx: oldR,
        ry: oldR,
    });
    return _jsx("circle", Object.assign({ cx: cx, cy: cy, r: r }, otherProps), void 0);
}
//# sourceMappingURL=Circle.js.map