"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const hooks_1 = require("../../hooks");
function Ellipse(props) {
    const { cx: oldCx, cy: oldCy, rx: oldRx, ry: oldRy, ...otherProps } = props;
    const { cx, cy, rx, ry } = hooks_1.useEllipsePosition({
        cx: oldCx,
        cy: oldCy,
        rx: oldRx,
        ry: oldRy,
    });
    return jsx_runtime_1.jsx("ellipse", Object.assign({ cx: cx, cy: cy, rx: rx, ry: ry }, otherProps), void 0);
}
exports.default = Ellipse;
