"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
/**
 * Like <rect>, but transparent by default
 */
function TransparentRect(props) {
    const { style } = props;
    return (jsx_runtime_1.jsx("rect", Object.assign({}, props, { style: { fillOpacity: style.fill ? undefined : 0, ...style } }), void 0));
}
exports.default = TransparentRect;
